ClarisWksDbaseContent::Record Struct Reference documentation

ClarisWksDbaseContent::Record Struct Reference

struct which stores a record in ClarisWksDbaseContent More...

`#include <ClarisWksDbaseContent.hxx>`

## Public Member Functions
| Record ()
| contructor
void | updateFormulaCells (MWAWVec2i const &removeDelta)
| update the formula cell (removing delta to each position)

## Public Attributes
int | m_style
| the style if known
MWAWCell::Format | m_format
| the format
MWAWCell::HorizontalAlignment | m_hAlign
| the cell alignment : by default nothing
int | m_fileFormat
| the format ( in a v1-3 spreadsheet)
MWAWCellContent | m_content
| the content
MWAWCellContent::Type | m_valueType
| the type of the content value ( original or result of a formula )
bool | m_hasNaNValue
| a flag to know if a double result is nan or not
MWAWColor | m_backgroundColor
| the background color
MWAWFont | m_font
| the font ( in v1-3 spreadsheet)
int | m_borders
| the border in v1-3 spreadsheet
std::map< int, MWAWFont > | m_posToFontMap
| map id to font ( in database)

## Detailed Description

struct which stores a record in ClarisWksDbaseContent

## Constructor & Destructor Documentation

## ◆ Record()

ClarisWksDbaseContent::Record::Record | ( |  | ) |
| inline

contructor

## Member Function Documentation

## ◆ updateFormulaCells()

void ClarisWksDbaseContent::Record::updateFormulaCells | ( | MWAWVec2i const & | removeDelta | ) |

update the formula cell (removing delta to each position)

Referenced by ClarisWksSpreadsheet::sendSpreadsheet().

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor ClarisWksDbaseContent::Record::m_backgroundColor

the background color

Referenced by ClarisWksDbaseContent::readRecordSS(), Record(), and ClarisWksSpreadsheet::sendSpreadsheet().

## ◆ m_borders

int ClarisWksDbaseContent::Record::m_borders

the border in v1-3 spreadsheet

Referenced by ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), and ClarisWksSpreadsheet::sendSpreadsheet().

## ◆ m_content

MWAWCellContent ClarisWksDbaseContent::Record::m_content

the content

Referenced by ClarisWksDbaseContent::readRecordDB(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), ClarisWksDbaseContent::send(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), and updateFormulaCells().

## ◆ m_fileFormat

int ClarisWksDbaseContent::Record::m_fileFormat

the format ( in a v1-3 spreadsheet)

Referenced by ClarisWksDbaseContent::get(), Record(), and ClarisWksDbaseContent::send().

## ◆ m_font

MWAWFont ClarisWksDbaseContent::Record::m_font

the font ( in v1-3 spreadsheet)

Referenced by ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), ClarisWksDbaseContent::send(), and ClarisWksSpreadsheet::sendSpreadsheet().

## ◆ m_format

MWAWCell::Format ClarisWksDbaseContent::Record::m_format

the format

Referenced by ClarisWksDbaseContent::get(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), ClarisWksDbaseContent::send(), ClarisWksDatabase::sendDatabase(), and ClarisWksSpreadsheet::sendSpreadsheet().

## ◆ m_hAlign

MWAWCell::HorizontalAlignment ClarisWksDbaseContent::Record::m_hAlign

the cell alignment : by default nothing

Referenced by ClarisWksDbaseContent::get(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), ClarisWksDbaseContent::send(), ClarisWksDatabase::sendDatabase(), and ClarisWksSpreadsheet::sendSpreadsheet().

## ◆ m_hasNaNValue

bool ClarisWksDbaseContent::Record::m_hasNaNValue

a flag to know if a double result is nan or not

Referenced by ClarisWksDbaseContent::readRecordDB(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), and ClarisWksDbaseContent::send().

## ◆ m_posToFontMap

std::map<int, MWAWFont> ClarisWksDbaseContent::Record::m_posToFontMap

map id to font ( in database)

Referenced by ClarisWksDbaseContent::readRecordDB(), Record(), and ClarisWksDatabase::sendDatabase().

## ◆ m_style

int ClarisWksDbaseContent::Record::m_style

the style if known

Referenced by ClarisWksDbaseContent::readRecordSS(), and Record().

## ◆ m_valueType

MWAWCellContent::Type ClarisWksDbaseContent::Record::m_valueType

the type of the content value ( original or result of a formula )

Referenced by ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), Record(), ClarisWksDbaseContent::send(), and updateFormulaCells().

The documentation for this struct was generated from the following files:

- ClarisWksDbaseContent.hxx
- ClarisWksDbaseContent.cxx